<script lang="ts" setup>

const {t} = useI18n()
const show = ref(false)

function init() {
  show.value = true
}

function close() {
  show.value = false
}

function handleConfirm() {
  close()
  uni.navigateTo({
    url: '/pages-user/pages/pay-password/set/index',
  })
}

defineExpose({
  show,
  init,
  close,
})
</script>

<template>
  <wd-popup

      custom-class="rounded-20rpx"
      safe-area-inset-bottom
      v-model="show"
      @close="close"
  >
    <view class="w-630rpx box-border  p-[40rpx+44rpx] flex flex-col">
      <view class="mt-18rpx text-34-bold text-center">
        {{ t('common.prompt.not-setup-payment-password') }}

      </view>
      <view class="mt-58rpx flex items-center justify-between">
        <wd-button
            custom-class="!h-88rpx !w-258rpx !min-w-auto !text-30rpx !lh-42rpx !font-bold    !rounded-20rpx"
            @click="close"
        >
          {{ t('common.cancel') }}
        </wd-button>

        <wd-button plain
                   custom-class="!h-88rpx !w-258rpx !min-w-auto !text-30rpx  !lh-42rpx !font-bold !border-#666666   !rounded-20rpx"
                   @click="handleConfirm"
        >
          {{ t('common.go-to-settings') }}
        </wd-button>

      </view>
    </view>
  </wd-popup>
</template>
<style scoped lang="scss"></style>
